## ros-crystal-tf2-sensor-msgs 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_sensor_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake_auto REQUIRED)
set(required_dependencies
  "sensor_msgs"
  #"python_orocos_kdl"
  "tf2"
  "tf2_ros"
)

ament_auto_find_build_dependencies(REQUIRED ${required_dependencies})

find_package(Eigen3 REQUIRED)

include_directories(include
  ${sensor_msgs_INCLUDE_DIRS}
  ${tf2_INCLUDE_DIRS}
  ${tf2_ros_INCLUDE_DIRS}
  ${Eigen3_INCLUDE_DIRS}
)

# TODO enable tests
#if(BUILD_TESTING)
#  catkin_add_nosetests(test/test_tf2_sensor_msgs.py)

#find_package(catkin REQUIRED COMPONENTS
#  sensor_msgs
#  rostest
#  tf2_ros
#  tf2
#)
#include_directories(${EIGEN_INCLUDE_DIRS})
#add_executable(test_tf2_sensor_msgs_cpp EXCLUDE_FROM_ALL test/test_tf2_sensor_msgs.cpp)
#target_link_libraries(test_tf2_sensor_msgs_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
#if(TARGET tests)
#  add_dependencies(tests test_tf2_sensor_msgs_cpp)
#endif()
#add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
#endif()

ament_auto_package()

=== debian/changelog ===
ros-crystal-tf2-sensor-msgs (0.10.1-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Dec 2018 08:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.10.0-0bionic) bionic; urgency=high

  * Remove cmake_modules dependency from package.xml (#83 <https://github.com/ros2/geometry2/issues/83>)
  * Fix Eigen3 dependency. (#77 <https://github.com/ros2/geometry2/issues/77>)
  * Porting tf2_sensor_msgs in C++ (#2 <https://github.com/ros2/geometry2/issues/2>) (#75 <https://github.com/ros2/geometry2/issues/75>)
  * Contributors: Jacob Perron, Michael Carroll, Ruffin, Steven Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 22 Nov 2018 08:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.15-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.14-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Jan 2017 08:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.13-0bionic) bionic; urgency=high

  * add missing Python runtime dependency
  * fix wrong comment
  * Adding tests to package
  * Fixing do_transform_cloud for python
    The previous code was not used at all (it was a mistake in the __init__.py so
    the do_transform_cloud was not available to the python users).
    The python code need some little correction (e.g there is no method named
    read_cloud but it's read_points for instance, and as we are in python we can't
    use the same trick as in c++ when we got an immutable)
  * Contributors: Laurent GEORGE, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 04 Mar 2016 08:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.12-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 05 Aug 2015 07:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.11-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.10-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Apr 2015 07:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.9-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 25 Mar 2015 07:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.8-0bionic) bionic; urgency=high

  * ODR violation fixes and more conversions
  * Fix keeping original pointcloud header in transformed pointcloud
  * Contributors: Paul Bovbel, Tully Foote, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-crystal-tf2-sensor-msgs (0.5.7-0bionic) bionic; urgency=high

  * add support for transforming sensor_msgs::PointCloud2
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Dec 2014 08:00:00 -0000

=== debian/control ===
Source: ros-crystal-tf2-sensor-msgs
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-crystal-ament-cmake-auto, ros-crystal-ament-cmake-gtest, ros-crystal-sensor-msgs, ros-crystal-tf2, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-crystal-tf2-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-crystal-sensor-msgs, ros-crystal-tf2, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Description: Small lib to transform sensor_msgs with tf.
 Most notably, PointCloud2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-tf2-sensor-msgs//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
